package main

import (
	"net/http"

	"github.com/gorilla/mux"
)

type Router interface {
	RegisterRoutes(r *mux.Router)
}

func registerAPI(handlers map[string]Router) http.Handler {
	r := mux.NewRouter()
	api := r.NewRoute().PathPrefix("/api").Subrouter()

	handlers[UserRouter].RegisterRoutes(api.NewRoute().PathPrefix(UserPath).Subrouter())
	handlers[RoutinePlanRouter].RegisterRoutes(api.NewRoute().PathPrefix(RoutinePlanPath).Subrouter())

	return r
}
